<?php
require_once('service_class.php');

/**
 * A service template is used for inheritance, so that you could
 * base your services with common properties on one of these.
 */
class service_template_class extends service_class
{
	/** object type */
	static $type = 'service_template';
	/** template or not? */
	var $is_template = true;
	/** database table to use */
	var $db_table = 'service';
	/** Variable in this object identifying the master object (ie, none) */
	var $master_obj_identifier = false;
	var $slave_types = false;

	/**
	 * All template classes need to have their own constructor,
	 * but we can still borrow the parent class constructor
	 * for most of our work.
	 */
	function __construct($id = false)
	{
		$this->master_obj_type = false;
		$this->master_obj_id = false;
		parent::__construct($id);
	}

	function get_properties()
	{
		$this->properties = get_object_properties('service');
		unset($this->properties['visible']);
		$this->properties['topic'] = 'name';
		$this->properties['required'] = array('name');
		$this->properties['var_index'] = array_merge(array('name' => 'string'), $this->properties['var_index']);
		unset($this->properties['var_index']['host_name']);
		unset($this->properties['var_index']['service_description']);
		return $this->properties;
	}

	public function get_cmd_bar_links()
	{
		$cmd_links = parent::get_cmd_bar_links();
		unset($cmd_links['clone']);
		return $cmd_links;
	}
}
